<template>
  <div class="box p-3">
    <div v-if="alerts.data.length === 0" class="flex justify-center items-center h-40 text-base">
      No Alerts were found
    </div>
    <div v-else>
      <div class="divide-y">
        <div class="flex gap-x-3 p-2 items-center" v-for="alert in alerts.data">
          <div class="flex-1">
            <div class="block text-base">
              {{ alert.message }}
            </div>

            <div class="flex gap-x-5">
              <div>
                <Icon icon="fa-solid fa-calendar" class="text-base mr-2 text-gray-400"></Icon>
                <span class="text-sm font-semibold text-gray-400">{{ new
                  Date(alert.created_at).toLocaleDateString() }}</span>
              </div>
              <div>
                <Icon icon="fa-solid fa-clock" class="text-base mr-2 text-gray-400"></Icon>
                <span class="text-sm font-semibold text-gray-400">{{ new
                  Date(alert.created_at).toLocaleTimeString() }}</span>
              </div>
            </div>
          </div>

          <Link :href="alert.action_url" class="action-btn" as="button">Take Action</Link>
        </div>
      </div>
    </div>
  </div>

  <Pagination :data="alerts"></Pagination>
</template>

<script setup>
import Pagination from '@/Components/Pagination.vue';
import Status from '@/Components/Status.vue';
import { Link, usePage } from '@inertiajs/vue3';
import { computed } from 'vue';

defineProps({
  alerts: Object
})

const page = usePage();
const user = computed(() => page.props.currentUser)
</script>